#ifndef SPRITE_H
#define SPRITE_H

#include <SDL.h>
#include "point.h"

class Sprite {
public:
    virtual void draw(SDL_Renderer* renderer) = 0;
    virtual void update();

    Point position;
    Point velocity;

    void setColor(int red, int green, int blue);

protected:
    int red = 0;
    int green = 0;
    int blue = 0;
};


#endif