#include "rectangle.h"
#include <SDL_render.h>

Rectangle::Rectangle() {
    // no-op
}

Rectangle::Rectangle(Point topleft, int w, int h) {
    this->position = topleft;
    this->height = h;
    this->width = w;
}

void Rectangle::draw(SDL_Renderer* renderer) {
    SDL_Rect rect = {
        position.x,
        position.y,
        width,
        height
    };

    SDL_SetRenderDrawColor(renderer, red, green, blue, 0);

    SDL_RenderFillRect(renderer, &rect);
}
